net.fortuna.ical4j.model

## Class PropertyFactoryImpl

- java.lang.Object
- - net.fortuna.ical4j.model.AbstractContentFactory
  - - net.fortuna.ical4j.model.PropertyFactoryImpl

All Implemented Interfaces:
  Serializable, PropertyFactory

Direct Known Subclasses:
  PropertyFactoryRegistry

    public class PropertyFactoryImpl
    extends AbstractContentFactory
    implements PropertyFactory

A factory for creating iCalendar properties. Note that if relaxed parsing is enabled (via specifying the system property: icalj.parsing.relaxed=true) illegal property names are allowed.

Author:
  Ben Fortuna $Id$ [05-Apr-2004]
See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `PropertyFactoryImpl()` Constructor made private to prevent instantiation.

### Method Summary

Methods
`Property` `createProperty(String name)`
`Property` `createProperty(String name, ParameterList parameters, String value)`
`static PropertyFactoryImpl` `getInstance()`

### Methods inherited from class net.fortuna.ical4j.model.AbstractContentFactory

`allowIllegalNames, getFactory, registerDefaultFactory, registerExtendedFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyFactoryImpl

    protected PropertyFactoryImpl()

Constructor made private to prevent instantiation.

### Method Detail

#### getInstance

    public static PropertyFactoryImpl getInstance()

Returns:
  Returns the instance.

#### createProperty

    public Property createProperty(String name)

Specified by:
  `createProperty` in interface `PropertyFactory`
Parameters:
  `name` - a property name
Returns:
  a new instance of the specified property

#### createProperty

    public Property createProperty(String name,
                          ParameterList parameters,
                          String value)
                            throws IOException,
                                   URISyntaxException,
                                   ParseException

Specified by:
  `createProperty` in interface `PropertyFactory`
Parameters:
  `name` - a property name
  `parameters` - a list of property parameters
  `value` - a property value
Returns:
  a new instance of the specified property
Throws:
  `IOException` - where an unexpected error occurs reading data
  `URISyntaxException` - where data contains an invalid URI
  `ParseException` - where data is unable to be parsed correctly